Bug 70933 - Graphic mode installer also crashes with latin keyboard and english language
Graphic mode installer also crashes with latin keyboard and english language
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 21:59 EDT by Miguel Barcenas
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-12 16:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miguel Barcenas 2002-08-06 21:59:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Red Hat Linux Installer crashes
when installing 7.3 in text mode

boot: text
Language: English
Keyboard: la-latin1

An unhandled exception has ocurred.
This is most likely a bug.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot using RHL 7.3 CD 1
2. Whet boot: appears type text and press Enter
3. Select Language: English
4. Select Keyboard: la-latin1
	

Actual Results:  An unhandled exception has ocurred.
This is most likely a bug.


Expected Results:  Normal installation

Additional info:

Debug information:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 406, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/keyboard_text.py", line 47, in __call__
    apply(xconfig.setKeyboard, kbd.getXKB())
TypeError: apply() 2nd argument must be a sequence

Local variables in innermost frame:
choice: 42
kbd: KEYBOARDTYPE="pc"
KEYTABLE="la-latin1"

instLang: <language.InstallTimeLanguage instance at 835d4a8>
self: <keyboard_text.KeyboardWindow instance at 8242638>
button: None
default: us
keyboards: ['ANSI-dvorak', 'azerty', 'be-latin1', 'be2-latin1', 'bg', 'br-
abnt2', 'cf', 'croat', 'cz-lat2', 'cz-lat2-prog', 'cz-us-qwertz', 'de', 'de-
latin1', 'de-latin1-nodeadkeys', 'defkeymap', 'defkeymap_V1.0', 'dk', 'dk-
latin1', 'dvorak', 'dvorak-l', 'dvorak-r', 'emacs', 'emacs2', 'es', 'fi', 'fi-
latin1', 'fr', 'fr-latin0', 'fr-latin1', 'fr-pc', 'fr_CH', 'fr_CH-
latin1', 'gr', 'gr-pc', 'hebrew', 'hu', 'hu101', 'is-latin1', 'it', 'it-
ibm', 'it2', 'jp106', 'la-latin1', 'lt', 'lt.l4', 'nl', 'no', 'no-latin1', 'pc-
dvorak-latin1', 'pc110', 'pl', 'pt-latin1', 'pt-old', 'ro', 'ru', 'ru-
cp1251', 'ru-ms', 'ru-yawerty', 'ru1', 'ru2', 'ru_win', 'se-latin1', 'sg', 'sg-
latin1', 'sg-latin1-lk450', 'sk-prog', 'sk-prog-qwerty', 'sk-prog-qwertz', 'sk-
qwerty', 'sk-qwertz', 'slovene', 'tr_f-latin5', 'tr_q-
latin5', 'tralt', 'trf', 'trf', 'trq', 'ua', 'uk', 'us', 'wangbe']
xconfig: <xf86config.XF86Config instance at 8273040>
screen: <snack.SnackScreen instance at 826e738>
Comment 1 Miguel Barcenas 2002-08-07 20:28:26 EDT
This bug does not depend on the install mode (graphic or text)

Anaconda dump

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 413, in nextClicked
    rc = self.currentWindow.getNext ()
  File "/usr/lib/anaconda/iw/mouse_gui.py", line 96, in getNext
    self.mouse.setXProtocol ()
  File "/usr/lib/anaconda/mouse.py", line 209, in setXProtocol
    curmouse[0] = "/dev/" + self.device
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
curmouse: ['/dev/psaux', 'PS/2', 1200, 0, 0, 3, 0, 50, 0, 0]
self: FULLNAME="None - None"
MOUSETYPE="none"
XEMU3="no"
XMOUSETYPE="none"

xmouse: <module 'xmouse' from '/usr/lib/anaconda/xmouse.so'>
Comment 2 Michael Fulbright 2002-08-22 14:19:27 EDT
We are no longer including the la-latin1 keymap - I've tried the pt-latin1
keymap with English as a language and there is no problem.


Note You need to log in before you can comment on or make changes to this bug.